> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mantle.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a task



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tasks/{taskId}
openapi: 3.1.0
info:
  title: Mantle Platform API
  version: 1.0.0-beta.1
  description: >-
    Agents and their change sets, task runs, agent responses, outbound webhooks,
    and bots that post with their own tokens. Most endpoints take a workspace
    API key; bot endpoints take a bot token.
servers:
  - url: https://api.mantle.chat
    description: Production
security: []
tags:
  - name: Agents
  - name: Agent drafts
  - name: Agent change-set mutations
  - name: Agent change sets
  - name: Tasks
  - name: Runs
  - name: Agent responses
    description: >-
      Single-turn private responses using a saved agent. Requires explicit
      invoke/read scopes and workspace pilot enablement. No browser conversation
      or task is created.
  - name: Webhooks
  - name: Bots
paths:
  /v1/tasks/{taskId}:
    get:
      tags:
        - Tasks
      summary: Get a task
      operationId: taskReads.getTask
      parameters:
        - name: taskId
          in: path
          schema:
            type: string
            allOf:
              - pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                format: uuid
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    allOf:
                      - pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                        format: uuid
                  workspaceId:
                    type: string
                    allOf:
                      - pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                        format: uuid
                  agentId:
                    anyOf:
                      - type: string
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                            format: uuid
                      - type: 'null'
                  name:
                    anyOf:
                      - type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 100
                      - type: 'null'
                  description:
                    anyOf:
                      - type: string
                        allOf:
                          - maxLength: 500
                      - type: 'null'
                  outputType:
                    type: string
                    allOf:
                      - minLength: 1
                      - maxLength: 128
                  triggers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          allOf:
                            - pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                              format: uuid
                        type:
                          type: string
                          allOf:
                            - minLength: 1
                            - maxLength: 128
                        isEnabled:
                          type: boolean
                        executable:
                          type: boolean
                        apiRunEligibility:
                          type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ready
                                - not_checked
                                - trigger_not_executable
                                - missing_run_scope
                                - approval_required_or_ambiguous
                                - approval_unavailable
                          required:
                            - status
                          additionalProperties: false
                        revision:
                          anyOf:
                            - type: object
                              properties:
                                version:
                                  type: number
                                  enum:
                                    - 1
                                taskId:
                                  type: string
                                  allOf:
                                    - pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                                      format: uuid
                                triggerId:
                                  type: string
                                  allOf:
                                    - pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                                      format: uuid
                                fingerprint:
                                  type: string
                                  allOf:
                                    - minLength: 1
                                    - maxLength: 128
                              required:
                                - version
                                - taskId
                                - triggerId
                                - fingerprint
                              additionalProperties: false
                            - type: 'null'
                        nextRunAt:
                          anyOf:
                            - type: string
                              allOf:
                                - minLength: 1
                                - maxLength: 64
                                - pattern: >-
                                    ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:0\d|1[0-4]):[0-5]\d)$
                            - type: 'null'
                        lastRunAt:
                          anyOf:
                            - type: string
                              allOf:
                                - minLength: 1
                                - maxLength: 64
                                - pattern: >-
                                    ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:0\d|1[0-4]):[0-5]\d)$
                            - type: 'null'
                        lastRunStatus:
                          anyOf:
                            - type: string
                              allOf:
                                - minLength: 1
                                - maxLength: 128
                            - type: 'null'
                      required:
                        - id
                        - type
                        - isEnabled
                        - executable
                        - apiRunEligibility
                        - revision
                        - nextRunAt
                        - lastRunAt
                        - lastRunStatus
                      additionalProperties: false
                  triggersTruncated:
                    type: boolean
                  createdAt:
                    type: string
                    allOf:
                      - minLength: 1
                      - maxLength: 64
                      - pattern: >-
                          ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:0\d|1[0-4]):[0-5]\d)$
                  updatedAt:
                    type: string
                    allOf:
                      - minLength: 1
                      - maxLength: 64
                      - pattern: >-
                          ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:0\d|1[0-4]):[0-5]\d)$
                required:
                  - id
                  - workspaceId
                  - agentId
                  - name
                  - description
                  - outputType
                  - triggers
                  - triggersTruncated
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_cursor
                          - invalid_idempotency_key
                          - invalid_request
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            anyOf:
                              - type: string
                                enum:
                                  - invalid_credential
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            anyOf:
                              - type: string
                                enum:
                                  - invalid_credential
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '403':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - access_denied
                              - insufficient_scope
                              - workspace_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - access_denied
                              - insufficient_scope
                              - workspace_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '404':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - agent_not_found
                          - response_not_found
                          - change_set_not_found
                          - draft_not_found
                          - run_not_found
                          - task_not_found
                          - webhook_delivery_not_found
                          - webhook_endpoint_not_found
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - idempotency_conflict
                          - idempotency_in_progress
                          - configuration_changed
                          - unsupported_model
                          - resource_conflict
                          - run_not_cancellable
                          - stale_change_set
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '410':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        anyOf:
                          - type: string
                            enum:
                              - response_expired
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_change_set
                          - invalid_webhook_endpoint
                          - validation_failed
                      message:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 256
                      requestId:
                        type: string
                        allOf:
                          - minLength: 1
                          - maxLength: 128
                      details:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                              allOf:
                                - maxLength: 256
                            - anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: boolean
                            - type: 'null'
                    required:
                      - code
                      - message
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - rate_limited
                              - capacity_exceeded
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - rate_limited
                              - capacity_exceeded
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
        '503':
          description: Error
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - credential_service_unavailable
                              - platform_unavailable
                              - agent_responses_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - NaN
                                        - type: string
                                          enum:
                                            - Infinity
                                        - type: string
                                          enum:
                                            - '-Infinity'
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - credential_service_unavailable
                              - platform_unavailable
                              - agent_responses_not_enabled
                          message:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 256
                          requestId:
                            type: string
                            allOf:
                              - minLength: 1
                              - maxLength: 128
                          details:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                  allOf:
                                    - maxLength: 256
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - NaN
                                    - type: string
                                      enum:
                                        - Infinity
                                    - type: string
                                      enum:
                                        - '-Infinity'
                                - type: boolean
                                - type: 'null'
                        required:
                          - code
                          - message
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.